org.bouncycastle.util.utiltest

## Class StringsTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.util.utiltest.StringsTest

- All Implemented Interfaces:
    junit.framework.Test

      public class StringsTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringsTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testSplitConsecutiveDelimiters()`
    `void` | `testSplitDomainWithLeadingDot()`
    `void` | `testSplitNoDelimiter()`
    `void` | `testSplitNormalDomain()`
    `void` | `testSplitOnlyDelimiter()`
    `void` | `testSplitTrailingDelimiter()`
    `void` | `testSplitWithLeadingDelimiter()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringsTest

          public StringsTest()

  - ### Method Detail

    - #### testSplitWithLeadingDelimiter

          public void testSplitWithLeadingDelimiter()

    - #### testSplitDomainWithLeadingDot

          public void testSplitDomainWithLeadingDot()

    - #### testSplitNormalDomain

          public void testSplitNormalDomain()

    - #### testSplitNoDelimiter

          public void testSplitNoDelimiter()

    - #### testSplitTrailingDelimiter

          public void testSplitTrailingDelimiter()

    - #### testSplitOnlyDelimiter

          public void testSplitOnlyDelimiter()

    - #### testSplitConsecutiveDelimiters

          public void testSplitConsecutiveDelimiters()